﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <script type="text/javascript">
        var tgMap = null;
        var getBoundingBoxCompleted = function(result, context){
            if(tgMap != null){
                var bbox = Sys.Serialization.JavaScriptSerializer.deserialize(result);
                tgMap.zoomToExtent(new OpenLayers.Bounds(bbox.l, bbox.b, bbox.r, bbox.t));
            }
        };

        var getBoundingBox = function (args) { 
            <%=Page.ClientScript.GetCallbackEventReference(this, "args", "getBoundingBoxCompleted", "")%>
        };

        var OnMapCreated = function(map){
            tgMap = map;
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample simply uses ThinkGeo default world map kit service overlay.
        <input type="button" value="Zoom To States" onclick="getBoundingBox('WorldLayer')" />
    </Description:DescriptionPanel>
    </form>
</body>
</html>
